Last Comment Bug 362265 - Some packages are registering PACKAGE instead of CONTENT
: Some packages are registering PACKAGE instead of CONTENT
Status: RESOLVED FIXED
: fixed-seamonkey1.1
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
-- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
: installer
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 11:50 PST by neil@parkwaycc.co.uk
Modified: 2008-07-31 02:13 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (15.88 KB, patch)
2006-11-29 11:59 PST, neil@parkwaycc.co.uk
ajschult: review+
dveditz: superreview+
kairo: approval‑seamonkey1.1+
Details | Diff | Splinter Review

Description User image neil@parkwaycc.co.uk 2006-11-29 11:50:17 PST
PACKAGE = CONTENT | SKIN | LOCALE so it should only be used if one contents.rdf file describes all three types of resources. However our .jar files contain one contents.rdf for each resource and they are all separately registered.
Comment 1 User image neil@parkwaycc.co.uk 2006-11-29 11:59:42 PST
Created attachment 246966 [details] [diff] [review]
Proposed patch
Comment 2 User image Andrew Schultz 2006-12-01 22:46:50 PST
Comment on attachment 246966 [details] [diff] [review]
Proposed patch

right.  Someone was actually complaining this week in #seamonkey that those lines were missing from the .zip build's installed-chrome.txt.  :)

note that build/ and mac/ are obsolete...
Comment 3 User image Daniel Veditz [:dveditz] 2006-12-05 18:17:54 PST
Comment on attachment 246966 [details] [diff] [review]
Proposed patch

sr=dveditz
Comment 4 User image neil@parkwaycc.co.uk 2006-12-06 02:34:26 PST
Comment on attachment 246966 [details] [diff] [review]
Proposed patch

Dunno if this is branch-worthy.
Comment 5 User image neil@parkwaycc.co.uk 2006-12-06 02:37:15 PST
Fix checked in.
Comment 6 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-13 17:47:11 PST
Comment on attachment 246966 [details] [diff] [review]
Proposed patch

first-a=me given that this has been on trunk for a week
Comment 7 User image Robert Kaiser 2006-12-16 12:22:08 PST
Comment on attachment 246966 [details] [diff] [review]
Proposed patch

a=me for 1.1
Comment 8 User image neil@parkwaycc.co.uk 2006-12-16 13:26:56 PST
Fix checked in to the branch.

Note You need to log in before you can comment on or make changes to this bug.